### Function

# Gtk value_dup_expression

#### Declaration [src]

    GtkExpression*
    gtk_value_dup_expression (
      const GValue* value
    )

#### Description [src]

Retrieves the `GtkExpression` stored inside the given `value`, and acquires a reference to it.

#### Parameters

`value` | `const GValue*`
| A `GValue` initialized with type `GTK_TYPE_EXPRESSION`.
| The data is owned by the caller of the function.

#### Return value

Returns: | `GtkExpression`
| A `GtkExpression`.
| The caller of the function takes ownership of the data, and is responsible for freeing it.
| The return value can be `NULL`.